package com.ynfy.buss.course.course.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.course.course.entity.Course;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;

/**
 * @Description: course
 * @Author: jeecg-boot
 * @Date: 2023-10-24
 * @Version: V1.0
 */
public interface CourseMapper extends BaseMapper<Course> {

    IPage<Course> selectCourseList(IPage<Course> page, @Param("course") Course course, @Param("user") LoginUser user);

    Course queryById(String id);


    List<Course> listHotCourse(Integer limit);
}
