package com.ynfy.buss.exam.examuserstatistics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ynfy.buss.exam.examuserstatistics.entity.ExamUserStatistics;
import com.ynfy.buss.exam.examuserstatistics.mapper.ExamUserStatisticsMapper;
import com.ynfy.buss.exam.examuserstatistics.service.IExamUserStatisticsService;
import org.springframework.stereotype.Service;

/**
 * @Description: 考试用户统计
 * @Author: jeecg-boot
 * @Date: 2023-03-20
 * @Version: V1.0
 */
@Service
public class ExamUserStatisticsServiceImpl extends ServiceImpl<ExamUserStatisticsMapper, ExamUserStatistics> implements IExamUserStatisticsService {

    @Override
    public void removeByExamId(String examId) {
        LambdaQueryWrapper<ExamUserStatistics> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(ExamUserStatistics::getExamId, examId);
        this.remove(wrapper);
    }
}
