package com.ynfy.buss.practice.userpractice.entity.dto;

import lombok.Data;

@Data
public class PracticeQuestionDTO {

    /**
     * 题目id
     */
    private String id;

    /**
     * 题目类型
     */
    private Integer type;

    /**
     * 所属题库
     */
    private String repositoryId;

    /**
     * 是否已答
     */
    private Boolean answered;


    /**
     * 是否正确
     */
    private Boolean isRight;

    /**
     * 题目序号
     */
    private Integer questionIndex;

    /**
     * 填空题答案
     */
    private String blankAnswer;
}


