package com.ynfy.buss.course.usercoursecatalog.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ynfy.buss.course.coursecatalog.entity.CourseCatalog;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 学习时长计算vo
 */
@Data
public class CatalogTimeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private CourseCatalog courseCatalog;

    /**
     * /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date startLearnTime;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date endLearnTime;

}
