package com.ynfy.buss.course.usercoursecatalog.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.course.usercoursecatalog.entity.UserCourseCatalog;
import com.ynfy.buss.course.usercoursecatalog.entity.vo.UserCourseStudyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 用户课程任务学习情况
 * @Author: jeecg-boot
 * @Date: 2023-10-25
 * @Version: V1.0
 */
public interface UserCourseCatalogMapper extends BaseMapper<UserCourseCatalog> {


    /**
     * 获取用户课程学习情况
     *
     * @param courseIds
     * @param userId
     * @return
     */
    List<UserCourseStudyVO> getUserCourseStudy(@Param("courseIds") List<String> courseIds, @Param("userId") String userId);


    IPage<UserCourseCatalog> selectPageList(IPage<UserCourseCatalog> page, @Param("userCourseCatalog") UserCourseCatalog userCourseCatalog);

}
