package com.ynfy.buss.exam.exam.dto;


import lombok.Data;

/**
 * 答案
 */
@Data
public class ExamAnswerDTO {

    /**
     * 试题序号
     */
    private String index;

    /**
     * 题型
     */
    private Integer questionType;

    /**
     * 试题答案(客观题---单选/多选/判断题)
     */
    private String[] answers;


    /**
     * 答案索引(客观题---单选/多选/判断题)
     */
    private String[] answerIndex;

    /**
     * 试题答案(主观题---简答题)
     */
    private String subjectiveAnswer;

    /**
     * 试题答案(客观题---填空题)
     */
    private String blankAnswer;
}
