package com.ynfy.buss.exam.examreview.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.exam.examreview.entity.ExamReview;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;

/**
 * @Description: 阅卷
 * @Author: jeecg-boot
 * @Date: 2023-04-08
 * @Version: V1.0
 */
public interface ExamReviewMapper extends BaseMapper<ExamReview> {

    IPage<ExamReview> selectPageList(IPage<ExamReview> page, @Param("examReview") ExamReview examReview, @Param("user") LoginUser user);

    /**
     * 统计需阅卷的考试
     *
     * @return
     */
    List<ExamReview> calcReview();
}
