package com.ynfy.buss.exam.userexamresult.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.exam.userexamresult.entity.UserExamResult;
import com.ynfy.buss.exam.userexamresult.entity.vo.UserExamScoreVO;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 用户考试成绩
 * @Author: jeecg-boot
 * @Date: 2023-03-09
 * @Version: V1.0
 */
public interface UserExamResultMapper extends BaseMapper<UserExamResult> {
    IPage<UserExamResult> selectPageList(IPage<UserExamResult> page, @Param("userExamResult") UserExamResult userExamResult);

    UserExamScoreVO getUserExamScore(@Param("userId") String userId, @Param("examId") String examId);
}
